#! /bin/sh
#
# NET-BASE	A collection of programs that form the base set of the
#		NET-2 Networking Distribution for the LINUX operating
#		system.
#
# Usage:	Unpack.sh
#
# Version:	@(#)Unpack.sh	1.12	01/29/94
#
# Author:	Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>
#		Copyright 1993,1994 MicroWalt Corporation
#
#		This program is free software; you can redistribute it
#		and/or  modify it under  the terms of  the GNU General
#		Public  License as  published  by  the  Free  Software
#		Foundation;  either  version 2 of the License, or  (at
#		your option) any later version.
#

  INCDIR="/usr/include"
  INCS="net/if.h net/if_arp.h net/if_ax25.h net/if_ether.h net/if_kiss.h \
	net/if_loop.h net/if_slip.h net/route.h netinet/in.h \
	netinet/in_systm.h netinet/ip.h netinet/ip_icmp.h netinet/ip_tcp.h \
	netinet/ip_udp.h netinet/protocols.h netinet/tcp.h netinet/udp.h"

  PATH=/bin:/usr/bin:/isbin:/usr/sbin
  export PATH

  # Display a prompt, and then ask for Y or N.
  yesno() \
  {
	if [ $# = 0 ]; then
		prompt="Are you sure? (y/n): "
	  else
		prompt="$*: "
	fi
	while true
	do
		echo -n ${prompt}
		read answer
		if [ -n "${answer}" -a \
		     "${answer}" = "y" -o "${answer}" = "Y" -o \
		     "${answer}" = "n" -o "${answer}" = "N" ]; then
			break
		fi
		echo "***** WRONG ANSWER!"
	done
	if [ "${answer}" != "y" -a "${answer}" != "Y" ]; then
		return 1
	  else
		return 0
	fi
  }


  echo "Checking for NET-2 prerequisite files..."

  # These came with NET-2 rev.E ALPHA-4.
  for i in ${INCS}
  do
	if [ ! -s ${INCDIR}/${i} ]; then
		echo "Include file \<${i}\> not found."
		if yesno "Should I create it myself? (y/n)"; then
			cp -a includes/${i} ${INCDIR}/${i}
		fi
	fi
  done

  # Make sure we have the new <netinet/ip_tcp.h> file.
  set `du -k ${INCDIR}/netinet/ip_tcp.h`
  size=$1
  if [ ${size} != 1 ]; then
	echo "It seems you have an incorrect <netinet/ip_tcp.h>"
	if yesno "Should I create it myself? (y/n)"; then
		cp -a includes/netinet/ip_tcp.h ${INCDIR}/netinet/ip_tcp.h
	fi
  fi

  exit 0
